module mux_4_32_if_2 (mux_out,data1,data2,data3,data0,select);
output [31:0] 	mux_out;
input  [31:0] data1;
input [31:0] data2;
input [31:0] data3;
input [31:0] data0;
input  [1:0]  select;

reg 	[31:0] mux_out;

always @ (data1 or data2 or data3 or data0 or select)

	if(select == 0) mux_out = data0; 
	else if(select == 1) mux_out = data1; 
	else if(select == 2) mux_out = data2; 
	else if(select == 3) mux_out = data3; 
	else mux_out = 32'bx;

endmodule